OGRE: Ogre::v1::VertexPoseKeyFrame Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | List of all members
Ogre::v1::VertexPoseKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::VertexPoseKeyFrame:
[legend]

## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...

## Public Types
typedef ConstVectorIterator< PoseRefList > | ConstPoseRefIterator
typedef VectorIterator< PoseRefList > | PoseRefIterator
typedef vector< PoseRef >::type | PoseRefList

## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead. More...
| ~VertexPoseKeyFrame ()
void | _applyBaseKeyFrame (const VertexPoseKeyFrame *base)
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only) More...
void | addPoseReference (ushort poseIndex, Real influence)
| Add a new pose reference. More...
PoseRefIterator | getPoseReferenceIterator (void)
| Get an iterator over the pose references. More...
ConstPoseRefIterator | getPoseReferenceIterator (void) const
| Get a const iterator over the pose references. More...
const PoseRefList & | getPoseReferences (void) const
| Get a const reference to the list of pose references. More...
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | removeAllPoseReferences (void)
| Remove all pose references. More...
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose. More...
void | updatePoseReference (ushort poseIndex, Real influence)
| Update the influence of a pose reference. More...

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

## Member Typedef Documentation

## ◆ ConstPoseRefIterator

typedef ConstVectorIterator<PoseRefList> Ogre::v1::VertexPoseKeyFrame::ConstPoseRefIterator

## ◆ PoseRefIterator

typedef VectorIterator<PoseRefList> Ogre::v1::VertexPoseKeyFrame::PoseRefIterator

## ◆ PoseRefList

typedef vector<PoseRef>::type Ogre::v1::VertexPoseKeyFrame::PoseRefList

## Constructor & Destructor Documentation

## ◆ VertexPoseKeyFrame()

Ogre::v1::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~VertexPoseKeyFrame()

Ogre::v1::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _applyBaseKeyFrame()

void Ogre::v1::VertexPoseKeyFrame::_applyBaseKeyFrame | ( | const VertexPoseKeyFrame * | base | ) |

## ◆ _clone()

KeyFrame* Ogre::v1::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| virtual

Clone a keyframe (internal use only)

Reimplemented from Ogre::v1::KeyFrame.

## ◆ addPoseReference()

void Ogre::v1::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | Real | influence
| ) |  |

Add a new pose reference.

See also
  PoseRef

## ◆ getPoseReferenceIterator() [1/2]

PoseRefIterator Ogre::v1::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) |

Get an iterator over the pose references.

## ◆ getPoseReferenceIterator() [2/2]

ConstPoseRefIterator Ogre::v1::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) | const

Get a const iterator over the pose references.

## ◆ getPoseReferences()

const PoseRefList& Ogre::v1::VertexPoseKeyFrame::getPoseReferences | ( | void |  | ) | const

Get a const reference to the list of pose references.

## ◆ getTime()

Real Ogre::v1::KeyFrame::getTime | ( | void |  | ) | const
| inlineinherited

Gets the time of this keyframe in the animation sequence.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ removeAllPoseReferences()

void Ogre::v1::VertexPoseKeyFrame::removeAllPoseReferences | ( | void |  | ) |

Remove all pose references.

## ◆ removePoseReference()

void Ogre::v1::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters

  poseIndex | The pose index (not the index of the reference)

## ◆ updatePoseReference()

void Ogre::v1::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | Real | influence
| ) |  |

Update the influence of a pose reference.

See also
  PoseRef

The documentation for this class was generated from the following file:

- OgreKeyFrame.h